NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Facet::CreateTransitionBuilder Class Reference

Represents a NXOpen::Facet::CreateTransitionBuilder builder. More...

Inheritance diagram for NXOpen::Facet::CreateTransitionBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Types { TypesRound, TypesFlat }
 the transition type. More...
 

Public Member Functions

NXOpen::ExpressionDistance ()
 Returns the distance. More...
 
bool IsClosed ()
 Returns the is closed. More...
 
bool IsEditCopy ()
 Returns the flag indicating if the transition is created on the copy of the input facet body. More...
 
NXOpen::ExpressionRadius ()
 Returns the radius. More...
 
NXOpen::DisplayableObjectSelectedBody ()
 Returns the selected facet body. More...
 
NXOpen::Features::GeometricConstraintDataManagerSelectedPoints ()
 Returns the selected points. More...
 
void SetClosed (bool isClosed)
 Sets the is closed. More...
 
void SetEditCopy (bool isEditCopy)
 Sets the flag indicating if the transition is created on the copy of the input facet body. More...
 
void SetSelectedBody (NXOpen::DisplayableObject *selectedBody)
 Sets the selected facet body. More...
 
void SetType (NXOpen::Facet::CreateTransitionBuilder::Types type)
 Sets the type. More...
 
NXOpen::Facet::CreateTransitionBuilder::Types Type ()
 Returns the type. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Facet::CreateTransitionBuilder builder.

This class creates the blend/chamfer of a facet body.
To create a new instance of this class, use NXOpen::Facet::FacetModelingCollection::CreateCreateTransitionBuilder
Default values.

Property Value

Distance.Value

5 (millimeters part), 0.2 (inches part)

IsClosed

0

IsEditCopy

0

Radius.Value

5 (millimeters part), 0.2 (inches part)


Created in NX12.0.0.

Member Enumeration Documentation

the transition type.

The round type creates fillet type transition. The flat type creates chamfer type transition.

Enumerator
TypesRound 

round

TypesFlat 

flat

Member Function Documentation

NXOpen::Expression* NXOpen::Facet::CreateTransitionBuilder::Distance ( )

Returns the distance.

This value is for chamfer operation.
Created in NX12.0.0.

License requirements : None

bool NXOpen::Facet::CreateTransitionBuilder::IsClosed ( )

Returns the is closed.

The flag indicate if the edge is closed or not.
Created in NX12.0.0.

License requirements : None

bool NXOpen::Facet::CreateTransitionBuilder::IsEditCopy ( )

Returns the flag indicating if the transition is created on the copy of the input facet body.


Created in NX12.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Facet::CreateTransitionBuilder::Radius ( )

Returns the radius.

This value is for blend operation.
Created in NX12.0.0.

License requirements : None

NXOpen::DisplayableObject* NXOpen::Facet::CreateTransitionBuilder::SelectedBody ( )

Returns the selected facet body.

It could be a convergent object.
Created in NX12.0.0.

License requirements : None

NXOpen::Features::GeometricConstraintDataManager* NXOpen::Facet::CreateTransitionBuilder::SelectedPoints ( )

Returns the selected points.

The points will define the edge which needs blend/chamfer.
Created in NX12.0.0.

License requirements : None

void NXOpen::Facet::CreateTransitionBuilder::SetClosed ( bool  isClosed)

Sets the is closed.

The flag indicate if the edge is closed or not.
Created in NX12.0.0.

License requirements : nx_polygon_modeling (" NX Polygon Modeling")

Parameters
isClosedisclosed
void NXOpen::Facet::CreateTransitionBuilder::SetEditCopy ( bool  isEditCopy)

Sets the flag indicating if the transition is created on the copy of the input facet body.


Created in NX12.0.0.

License requirements : nx_polygon_modeling (" NX Polygon Modeling")

Parameters
isEditCopyiseditcopy
void NXOpen::Facet::CreateTransitionBuilder::SetSelectedBody ( NXOpen::DisplayableObject selectedBody)

Sets the selected facet body.

It could be a convergent object.
Created in NX12.0.0.

License requirements : nx_polygon_modeling (" NX Polygon Modeling")

Parameters
selectedBodyselectedbody
void NXOpen::Facet::CreateTransitionBuilder::SetType ( NXOpen::Facet::CreateTransitionBuilder::Types  type)

Sets the type.

This value defines the transition type.
Created in NX12.0.0.

License requirements : nx_polygon_modeling (" NX Polygon Modeling")

Parameters
typetype
NXOpen::Facet::CreateTransitionBuilder::Types NXOpen::Facet::CreateTransitionBuilder::Type ( )

Returns the type.

This value defines the transition type.
Created in NX12.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.